export default {

    methods:{

        trigger(item){
            return this[item.trigger] && this[item.trigger]();
        },

        rechargeOrder(){
            this.closeModal();
            return this.$router.navigateTo({
                name:'recharge'
            });
        },

        viewOrder(){
            return this.$router.redirectTo({
                name:'my-order'
            });
        },

        goHome(){
            return this.$router.switchTab('index');
        },

        closeModal(){
            if (this.vValue) {
                this.changeValue(false);
            }
        },

        openModal(){
            if (!this.vValue) {
                this.changeValue(true);
            }
        }
    }

}